LinuxQuestions.org
Visit Jeremy's Blog.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking
User Name
Password
Linux - Networking This forum is for any issue related to networks or networking.
Routing, network cards, OSI, etc. Anything is fair game.

Notices


Reply
  Search this Thread
Old 11-15-2010, 10:48 PM   #1
tonyfreeman
Member
 
Registered: Sep 2003
Location: Fort worth, TX
Distribution: Debian testing 64bit at home, EL5 32/64bit at work.
Posts: 196

Rep: Reputation: 30
Need New Public DNS Host


Nameserver/bind gurus! I have been managing my DNS with public-dns.net for a while, but that site appears to have dropped off the earth and floated out into space.

Before using public-dns.org I used granitecanyon.org to manage DNS settings. public-dns.net was much easier to use. granitecanyon also seems to have quietly drifted out of the solar system.

The site that I purchased my domain name from does not provide dns management unless I pay a yearly fee.

Anyone know of a good public dns hosting service that I could use?

I do not have a static IP ... would that be a challenge if I just made my own machine an authoritative nameserver for my domain?
 
Old 11-16-2010, 12:05 AM   #2
paulsm4
LQ Guru
 
Registered: Mar 2004
Distribution: SusE 8.2
Posts: 5,863
Blog Entries: 1

Rep: Reputation: Disabled
I've heard good things about OpenDNS:

http://www.opendns.org

There's also Google DNS:

http://code.google.com/speed/public-dns/
 
Old 11-16-2010, 07:22 AM   #3
cconte
LQ Newbie
 
Registered: Nov 2010
Posts: 4

Rep: Reputation: 1
try one of this
http://www.free-webhosts.com/free-dns-hosting.php
 
1 members found this post helpful.
Old 11-16-2010, 09:13 PM   #4
tonyfreeman
Member
 
Registered: Sep 2003
Location: Fort worth, TX
Distribution: Debian testing 64bit at home, EL5 32/64bit at work.
Posts: 196

Original Poster
Rep: Reputation: 30
editdns.net

I decided to go with the no frills, no nonsense, just the basics editdns.net. DNS started working within minutes! I found the site from the link cconte provided thanks ;-)
 
Old 12-15-2010, 08:58 AM   #5
redir
Member
 
Registered: May 2004
Location: Virginia USA
Distribution: Debian_Ubuntu_FreeBSD
Posts: 122

Rep: Reputation: 16
I use zoneedit.com and have been for several years running.
 
Old 12-15-2010, 09:04 AM   #6
catkin
LQ 5k Club
 
Registered: Dec 2008
Location: Tamil Nadu, India
Distribution: Debian
Posts: 8,578
Blog Entries: 31

Rep: Reputation: 1208Reputation: 1208Reputation: 1208Reputation: 1208Reputation: 1208Reputation: 1208Reputation: 1208Reputation: 1208Reputation: 1208
Here's a script that tests the response speed of a big list of public DNS servers so you can find which is best from your location. OpenDNS delivers (bad) advertising if it cannot resolve a name. Google want to know what brand of underwear you are wearing and where you bought it.
Code:
#! /bin/bash

# Purpose:  list response times of the public DNS servers listed at http://80.247.230.136/dns.htm
# Usage:  no options or arguments.  Writes important data to stdout and progress information to stderr.
# Author:  Charles (catkin)
# Licence: "Do what thou wilt shall be the whole of the law"

# Set up shell environment
# ~~~~~~~~~~~~~~~~~~~~~~~~
set -o posix
set -o nounset
shopt -s extglob # allow extended pattern matching operators 

# Executables
# ~~~~~~~~~~~
# So can change to suit OS variant
cut='/usr/bin/cut'
grep='/bin/grep'
nslookup='/usr/bin/nslookup'
sed='/bin/sed'
sort='/usr/bin/sort'
time='/usr/bin/time'
uniq='/usr/bin/uniq'
wget='/usr/bin/wget'

# Constants
# ~~~~~~~~~
link1='http://80.247.230.136/dns.htm'
link2='http://vivil.free.fr/dns.htm'
lf='
'

# Get latest list of public DNS servers
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo 'Getting latest list of public DNS servers ...' >&2
wget_out="$( $wget --connect-timeout=2 --output-document=- "$link1" )"
if [[ $? -ne 0 ]]; then
    echo "+++ WARNING +++ Unable to get $link1, trying $link2"
    wget_out="$( $wget --connect-timeout=2 --output-document=- "$link2" )"
    if [[ $? -ne 0 ]]; then
        echo "+++ ERROR +++ Unable to get $link2"
        \exit 1
    fi
fi
servers="$( echo "$wget_out" | $grep '^ping' | $cut --delimiter=' ' --fields=4 | $sort --general-numeric-sort | $uniq)"
if [[ $? -ne 0 ]]; then
    echo "+++ ERROR +++ Problem parsing HTML for list of public DNS servers.  Pipe output was:$lf$servers"
    \exit 1
fi

# Time each one looking up a well-known domain
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo 'Timing a DNS lookup on each DNS server' >&2
out=''
for server in $servers 
do
    echo -n '.' >&2
    buf="$($time -f '%e' $nslookup 'www.google.com' $server 2>&1)"
    case $buf in 
        'Server:'* )
            out="$out$lf${buf##*$lf}s $server"
            buf="$( echo "$wget_out" | $grep "^ $server " )"
            if [[ "$buf" != '' ]]; then
                buf="${buf#*<???????????????}"
                name="${buf%%?>*}"
                out="$out $name"
            fi
            ;;
        "$nslookup: couldn't get address for '"$server"': not found"* )
            echo "Not found:  $server"
            ;;
        *'connection timed out; no servers could be reached'* )
            echo "Timed out:  $server"
            ;;
        * )
            echo "+++ ERROR +++ (program error) unexpected output from nslookup and time:$lf$buf" >&2
    esac
done

# Display results
# ~~~~~~~~~~~~~~~
out="${out#$lf}"
echo "${lf}Time  DNS server$lf====  ==========$lf$( echo "$out" | $sort --general-numeric-sort | $sed 's/^0.00s /<10ms /' )"

\exit 0
EDIT: don't look too closely at the code, it's naive in many ways (one of my first bash scripts) but it delivers the goods.

Last edited by catkin; 12-15-2010 at 09:05 AM.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Bind9 ,host does reslove a dns name but ping says unknown host Byenary Linux - Networking 10 01-12-2011 01:33 AM
Connection to same destination from the same host with different public IPs juanmacar Linux - Networking 5 11-07-2008 02:45 PM
Home LAN host requesting my public IP jamsda Linux - Networking 3 12-12-2006 12:28 PM
DNS public host marius_vl Linux - Networking 5 06-01-2006 07:35 AM
Possible? 1 public subnet/1 private; 1 host: traffic out the way it came in? JMCraig Linux - Networking 8 10-17-2005 08:12 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Networking

All times are GMT -5. The time now is 11:07 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration